org.apache.fop.render.pdf

## Enum PDFSignOption

- java.lang.Object
- - java.lang.Enum<PDFSignOption>
  - - org.apache.fop.render.pdf.PDFSignOption

All Implemented Interfaces:
  Serializable, Comparable<PDFSignOption>, RendererConfigOption

    public enum PDFSignOption
    extends Enum<PDFSignOption>
    implements RendererConfigOption

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`KEYSTORE`
`LOCATION`
`NAME`
`PASSWORD`
`REASON`

### Field Summary

Fields
`static String` `SIGN_PARAMS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getDefaultValue()`
`String` `getName()` The name of the option.
`static PDFSignOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFSignOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEYSTORE

    public static final PDFSignOption KEYSTORE

#### NAME

    public static final PDFSignOption NAME

#### LOCATION

    public static final PDFSignOption LOCATION

#### REASON

    public static final PDFSignOption REASON

#### PASSWORD

    public static final PDFSignOption PASSWORD

### Field Detail

#### SIGN_PARAMS

    public static final String SIGN_PARAMS

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PDFSignOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFSignOption c : PDFSignOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFSignOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Description copied from interface: `RendererConfigOption`
The name of the option.

Specified by:
  `getName` in interface `RendererConfigOption`

#### getDefaultValue

    public Object getDefaultValue()

Specified by:
  `getDefaultValue` in interface `RendererConfigOption`